@import "../../../../core/variables";

@mixin bg($withPadding: null) {
  background: $color-white;
  box-shadow:
          0 7px 70px rgba(90, 97, 105, 0.1),
          0 10px 10px rgba(90, 97, 105, 0.06);
  border-radius: $border-radius-md;
}

.layout {
  padding: 0 $section-padding;
  display: flex;
}

.container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;

  width: 100%;
  max-width: $container-width;
  margin: 0 auto;
  padding-bottom: 80px;
}

.top {
  flex-shrink: 0;
  display: flex;
  align-items: center;
  width: 100%;
}

.mode {
  flex-shrink: 0;
  width: 260px;
}

.prefilters {
  flex-grow: 1;
  display: flex;
  justify-content: space-between;
  margin-left: 40px;
}

.datepicker {
  margin-right: 40px;
  display: flex;
  align-items: center;
}

.categories {
  margin-left: auto;

  display: flex;
  align-items: center;

  > * + * {
    margin-left: $indent-xsm;
  }
}

.main {
  display: flex;
  flex-grow: 1;
  width: 100%;
  margin-top: 40px;
}

.filter {
  flex-shrink: 0;
  width: 260px;
  padding: $indent-lg $indent-lg 0;

  @include bg();
}

.content {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  margin-left: 40px;

  @include bg(false);
}

.tabs {
  flex-shrink: 0;
  padding: $indent-lg $indent-xxl 0;

  > * {
    display: flex !important;
  }
}

.table {
  padding-bottom: $indent-lg;
  margin-top: -1px;
}